"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_break_info
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_break_info class methodsFor:'documentation'!

documentation
"
The `-break-info' Command
-------------------------

Synopsis
........

      -break-info BREAKPOINT

   Get information about a single breakpoint.

   The result is a table of breakpoints.  *Note GDB/MI Breakpoint
Information::, for details on the format of each breakpoint in the
table.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `info break
BREAKPOINT'.

Example
.......

N.A.


"
! !

!GDBMI_break_info methodsFor:'accessing'!

operation
	^ 'break-info'
! !

