"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_target_file_put
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_target_file_put class methodsFor:'documentation'!

documentation
"
The `-target-file-put' Command
------------------------------

Synopsis
........

      -target-file-put HOSTFILE TARGETFILE

   Copy file HOSTFILE from the host system (the machine running {No
value for `GDBN'}) to TARGETFILE on the target system.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `remote put'.

Example
.......

     (gdb)
     -target-file-put localfile remotefile
     ^done
     (gdb)


"
! !

!GDBMI_target_file_put methodsFor:'accessing'!

operation
	^ 'target-file-put'
! !

