"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBNotificationEvent subclass:#GDBBreakpointEvent
	instanceVariableNames:'bkpt'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Events'
!

!GDBBreakpointEvent class methodsFor:'accessing - GDB value descriptors'!

description
    | desc bkpt |

    desc := super description.
    bkpt := desc define:#bkpt as:Array of: GDBBreakpoint.
    bkpt allowOmmitedBrackets: true.
    ^ desc

    "Created: / 06-09-2014 / 01:52:48 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 12-11-2017 / 17:21:09 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBBreakpointEvent methodsFor:'accessing'!

breakpoints
    ^ bkpt

    "Created: / 12-11-2017 / 20:16:49 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBBreakpointEvent methodsFor:'accessing-properties'!

_bkpt: aCollection
    bkpt := aCollection

    "Created: / 12-11-2017 / 17:40:11 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 12-11-2017 / 20:33:08 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

