"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_enable_frame_filters
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_enable_frame_filters class methodsFor:'documentation'!

documentation
"
The `-enable-frame-filters' Command
-----------------------------------

     -enable-frame-filters

   {No value for `GDBN'} allows Python-based frame filters to affect
the output of the MI commands relating to stack traces.  As there is no
way to implement this in a fully backward-compatible way, a front end
must request that this functionality be enabled.

   Once enabled, this feature cannot be disabled.

   Note that if Python support has not been compiled into {No value for
`GDBN'}, this command will still succeed (and do nothing).


"
! !

!GDBMI_enable_frame_filters methodsFor:'accessing'!

operation
	^ 'enable-frame-filters'
! !

!GDBMI_enable_frame_filters class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

