"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_target_disconnect
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_target_disconnect class methodsFor:'documentation'!

documentation
"
The `-target-disconnect' Command
--------------------------------

Synopsis
........

      -target-disconnect

   Disconnect from the remote target.  There's no output and the target
is generally not resumed.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `disconnect'.

Example
.......

     (gdb)
     -target-disconnect
     ^done
     (gdb)


"
! !

!GDBMI_target_disconnect methodsFor:'accessing'!

operation
	^ 'target-disconnect'
! !

