"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_var_info_num_children
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_var_info_num_children class methodsFor:'documentation'!

documentation
"
The `-var-info-num-children' Command
------------------------------------

Synopsis
........

      -var-info-num-children NAME

   Returns the number of children of a variable object NAME:

      numchild=N

   Note that this number is not completely reliable for a dynamic
varobj.  It will return the current number of children, but more
children may be available.


"
! !

!GDBMI_var_info_num_children methodsFor:'accessing'!

operation
	^ 'var-info-num-children'
! !

!GDBMI_var_info_num_children class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

